## mesa 25.1.5

=== debian/changelog ===
mesa (25.1.5-1) experimental; urgency=medium

  [ Jianfeng Liu ]
  * d/rules: Enable iris and intel vulkan driver for loong64

  [ Timo Aaltonen ]
  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Jul 2025 18:43:48 +0300

mesa (25.1.4-1) experimental; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed patches.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 19 Jun 2025 10:00:29 +0300

mesa (25.1.0-1) experimental; urgency=medium

  * New upstream release.
  * rules: Enable asahi. (Closes: #1102725)
  * Drop libosmesa*, removed upstream.
  * libgbm-dev.install: Updated.
  * libglx-mesa0.symbols: Updated.
  * rules: Migrate to llvm-20.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 19 May 2025 16:10:14 +0300

=== debian/control ===
Source: mesa
Section: graphics
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Andreas Boll <aboll@debian.org>
Standards-Version: 4.1.4
Build-Depends:
 debhelper-compat (= 13),
 directx-headers-dev (>= 1.614.1) [linux-amd64 linux-arm64],
 flatbuffers-compiler [linux-arm64],
 glslang-tools [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 spirv-tools (>= 2024.4~rc1) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 meson (>= 1.4.0),
 pkgconf,
 libdrm-dev (>= 2.4.125-1),
 libx11-dev,
 libxxf86vm-dev,
 libexpat1-dev,
 libflatbuffers-dev [linux-arm64],
 libsensors-dev [!hurd-any],
 libxfixes-dev,
 libxext-dev,
 libva-dev (>= 1.6.0) [linux-any] <!pkg.mesa.nolibva>,
 libvdpau-dev (>= 1.5) [linux-any],
 libvulkan-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 x11proto-dev,
 linux-libc-dev (>= 2.6.31) [linux-any],
 libx11-xcb-dev,
 libxcb-dri2-0-dev (>= 1.8),
 libxcb-glx0-dev (>= 1.8.1),
 libxcb-xfixes0-dev,
 libxcb-dri3-dev,
 libxcb-present-dev,
 libxcb-randr0-dev,
 libxcb-shm0-dev,
 libxcb-sync-dev,
 libxrandr-dev,
 libxshmfence-dev (>= 1.1),
 libxtensor-dev [linux-arm64],
 libzstd-dev,
 python3,
 python3-mako,
 python3-ply,
 python3-yaml,
 python3-pycparser [arm64 armhf],
 python3-setuptools,
 flex,
 bison,
 libelf-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libwayland-dev (>= 1.15.0) [linux-any],
 libwayland-egl-backend-dev (>= 1.15.0) [linux-any],
 llvm-20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libclang-20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libclang-cpp20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libclc-20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 libclc-20 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 wayland-protocols (>= 1.38),
 zlib1g-dev,
 libglvnd-core-dev (>= 1.3.2),
 valgrind [amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x],
 rustc (>= 1.78) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
 rustfmt [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
 bindgen (>= 0.66.1~) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
 cbindgen [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
 llvm-spirv-20 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
 libllvmspirvlib-20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 librust-paste-dev [amd64 arm64 armhf i386 ppc64 riscv64 x32],
 librust-syn-dev (>= 2.0.48) [amd64 arm64 armhf i386 ppc64 riscv64 x32],
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
Homepage: https://mesa3d.org/

Package: libxatracker2
Section: libs
Architecture: amd64 i386 x32
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X acceleration library -- runtime
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.

Package: libxatracker-dev
Section: libdevel
Architecture: amd64 i386 x32
Depends:
 libxatracker2 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: X acceleration library -- development files
 This package contains the XA (X acceleration) library.  It is used exclusively
 by the X server to do render, copy and video acceleration.
 .
 XA is intended to be used by the vmware driver for virtualized X acceleration.
 .
 This package provides the development environment for compiling programs
 against the xatracker library.

Package: libd3dadapter9-mesa
Section: libs
Architecture: amd64 arm64 armel armhf i386
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libudev1 [linux-any],
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: state-tracker for Direct3D9
 This package contains a Gallium3D state tracker that implements the Direct3D9
 API.  Combined with the gallium-nine branch of Wine, programs using D3D9 can
 achieve native (or better) graphics performance.

Package: libd3dadapter9-mesa-dev
Section: libdevel
Architecture: amd64 arm64 armel armhf i386
Depends:
 libd3dadapter9-mesa (= ${binary:Version}),
 libudev1 [linux-any],
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: state-tracker for Direct3D9 -- development files
 This package contains a Gallium3D state tracker that implements the Direct3D9
 API.  Combined with the gallium-nine branch of Wine, programs using D3D9 can
 achieve native (or better) graphics performance.
 .
 Development files

Package: libgbm1
Section: libs
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 mesa-libgallium (= ${binary:Version}),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: generic buffer management API -- runtime
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.

Package: libgbm-dev
Section: libdevel
Architecture: linux-any
Depends:
 libgbm1 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: generic buffer management API -- development files
 This package contains the GBM buffer management library.  It provides a
 mechanism for allocating buffers for graphics rendering tied to Mesa.
 .
 GBM is intended to be used as a native platform for EGL on drm or openwfd.
 .
 This package provides the development environment for compiling programs
 against the GBM library.

Package: libegl-mesa0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgbm1 (= ${binary:Version}) [!hurd-any],
 mesa-libgallium (= ${binary:Version}),
Provides: libegl-vendor
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the EGL API -- Mesa vendor library
 This package contains the EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package contains the Mesa vendor library for EGL.

Package: libegl1-mesa-dev
Section: libdevel
Architecture: any
Depends:
 libegl-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: free implementation of the EGL API -- development files
 This package contains the development environment required for compiling
 programs against EGL native platform graphics interface library.
 EGL provides a platform-agnostic mechanism for creating rendering surfaces
 for use with other graphics libraries, such as OpenGL|ES.
 .
 This package provides the development environment for compiling programs
 against the EGL library.

Package: libgles2-mesa-dev
Section: oldlibs
Architecture: any
Depends:
 libgles-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: libglx-mesa0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libgl1-mesa-dri,
 mesa-libgallium (= ${binary:Version}),
Provides: libglx-vendor
Breaks:
 libopengl-perl (<< 0.6704+dfsg-2),
 glx-diversions (<< 0.8.4~),
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: free implementation of the OpenGL API -- GLX vendor library
 Mesa is a 3-D graphics library with an API which is very similar to
 that of OpenGL.  To the extent that Mesa utilizes the OpenGL command
 syntax or state machine, it is being used with authorization from
 Silicon Graphics, Inc.  However, the authors make no claim that Mesa
 is in any way a compatible replacement for OpenGL or associated with
 Silicon Graphics, Inc.
 .
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the modules themselves: these can be found
 in the libgl1-mesa-dri package.

Package: libgl1-mesa-dri
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends:
 libgbm1 (= ${binary:Version}) [!hurd-any],
 libvulkan1 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: same
Description: free implementation of the OpenGL API -- DRI modules
 This version of Mesa provides GLX and DRI capabilities: it is capable of
 both direct and indirect rendering.  For direct rendering, it can use DRI
 modules from the libgl1-mesa-dri package to accelerate drawing.
 .
 This package does not include the OpenGL library itself, only the DRI
 modules for accelerating direct rendering.
 .
 For a complete description of Mesa, please look at the
 libglx-mesa0 package.

Package: libgl1-mesa-dev
Section: oldlibs
Architecture: any
Depends:
 libgl-dev,
 libglvnd-dev,
 ${misc:Depends},
Multi-Arch: same
Description: transitional dummy package
 This is a transitional dummy package, it can be safely removed.

Package: mesa-common-dev
Section: libdevel
Architecture: any
Depends:
 libgl-dev,
 libglx-dev,
 libx11-dev,
 libdrm-dev (>= 2.4.95) [!hurd-any],
 ${misc:Depends},
Breaks: libegl1-mesa-dev (<< 18.2.5-2)
Replaces: libegl1-mesa-dev (<< 18.2.5-2)
Multi-Arch: same
Description: Developer documentation for Mesa
 This package includes the specifications for the Mesa-specific OpenGL
 extensions, the complete set of release notes and the development header
 files common to all Mesa packages.

Package: mesa-libgallium
Section: libs
Architecture: linux-any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Provides: libglapi-mesa
Multi-Arch: same
Description: shared infrastructure for Mesa drivers
 This package contains libgallium, a private library shared between
 multiple Mesa drivers. This library is an implementation detail of Mesa
 and should not be used directly by user code.

Package: mesa-teflon-delegate
Section: libs
Architecture: arm64
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Mesa TensorFlow Lite external delegate
 TensorFlow Lite delegate which can make use of NPUs to accelerate ML
 inference. It is implemented in the form of a external delegate, a shared
 library which the TensorFlow Lite runtime can load at startup.

Package: mesa-va-drivers
Section: libs
Architecture: linux-any
Build-Profiles: <!pkg.mesa.nolibva>
Depends:
 mesa-libgallium (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Enhances:
 libva2,
Provides:
 va-driver,
Breaks: vdpau-va-driver (<< 0.7.4-5)
Replaces: vdpau-va-driver (<< 0.7.4-5)
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Mesa VA-API video acceleration drivers
 These libraries provide the Video Acceleration API (VA-API) for Unix.
 They provide accelerated video playback (incl. H.264) and video
 post-processing for the supported graphics cards.
 .
 This package enables support for VA-API for some gallium drivers.

Package: mesa-vdpau-drivers
Section: libs
Architecture: linux-any
Depends:
 libvdpau1,
 ${shlibs:Depends},
 ${misc:Depends},
Enhances:
 libvdpau1,
Provides:
 vdpau-driver,
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian mesa package
# Copyright © 2006 Thierry Reding <thierry@gilfi.de>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_ARCH_OS   ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

# for finding the correct llvm-config when meson doesn't know about it yet
LLVM_VERSION = 20
export PATH:=/usr/lib/llvm-$(LLVM_VERSION)/bin/:$(PATH)

export DEB_BUILD_MAINT_OPTIONS=optimize=-lto

DEB_CFLAGS_MAINT_APPEND := -Wall
DEB_CXXFLAGS_MAINT_APPEND := -Wall
ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
  # Workaround for a variant of LP: #725126
  DEB_CFLAGS_MAINT_APPEND += -fno-optimize-sibling-calls
  DEB_CXXFLAGS_MAINT_APPEND += -fno-optimize-sibling-calls
else ifneq (,$(filter $(DEB_HOST_ARCH), loong64))
  # Workaround loong64 BFD linker crash related to TLSDESC
  DEB_CFLAGS_MAINT_APPEND += -mtls-dialect=trad
  DEB_CXXFLAGS_MAINT_APPEND += -mtls-dialect=trad
else ifneq (,$(filter $(DEB_HOST_ARCH), m68k))
  # This library has huge jump tables: Debian #1067207
  DEB_CFLAGS_MAINT_APPEND += -mlong-jump-table-offsets
  DEB_CXXFLAGS_MAINT_APPEND += -mlong-jump-table-offsets
else ifneq (,$(filter $(DEB_HOST_ARCH), sh4))
  # Workaround for https://gcc.gnu.org/bugzilla/show_bug.cgi?id=83143
  DEB_CFLAGS_MAINT_APPEND += -freorder-blocks-algorithm=simple
  DEB_CXXFLAGS_MAINT_APPEND += -freorder-blocks-algorithm=simple
endif
buildflags = $(shell \
	DEB_CFLAGS_MAINT_APPEND='$(DEB_CFLAGS_MAINT_APPEND)' \
	DEB_CXXFLAGS_MAINT_APPEND='$(DEB_CXXFLAGS_MAINT_APPEND)' \
	dpkg-buildflags --export=configure)

EGL_PLATFORMS = x11
GALLIUM_DRIVERS = softpipe
VULKAN_DRIVERS =
VULKAN_LAYERS =

confflags_SSE2 = -Dsse2=true
confflags_TEFLON = -Dteflon=false

LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
RUSTICL_ARCHS  = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
NVK_ARCHS      = amd64 arm64 armhf i386 ppc64 riscv64 x32
VALGRIND_ARCHS = amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x
WINE_ARCHS     = amd64 arm64 armel armhf i386

# hurd doesn't do direct rendering
ifeq ($(DEB_HOST_ARCH_OS), hurd)
  confflags_DIRECT_RENDERING = -Dglx-direct=false
  confflags_GBM = -Dgbm=disabled
else
  # Non-Linux ports lack epoll, so wayland isn't ready yet:
  # https://gitlab.freedesktop.org/wayland/wayland/-/issues/72
  # hurd also lacks *_CLOEXEC
  EGL_PLATFORMS += wayland

  GALLIUM_DRIVERS += nouveau r300 r600 virgl
  confflags_DIRECT_RENDERING = -Dglx-direct=true
  confflags_GBM = -Dgbm=enabled
  confflags_GALLIUM += -Dgallium-extra-hud=true
  confflags_GALLIUM += -Dgallium-vdpau=enabled
  confflags_GALLIUM += -Dlmsensors=enabled

  # Freedreno requires arm in addition
  ifneq (,$(filter arm arm64,$(DEB_HOST_ARCH_CPU)))
	GALLIUM_DRIVERS += freedreno
  endif

  # etnaviv, tegra, vc4 and v3d kernel support are only available on armhf and arm64
  ifneq (,$(filter $(DEB_HOST_ARCH), armhf arm64))
	GALLIUM_DRIVERS += etnaviv panfrost svga tegra vc4 v3d
	VULKAN_DRIVERS += broadcom freedreno panfrost
  endif

  ifneq (,$(filter $(DEB_HOST_ARCH), armhf arm64 loong64 riscv64))
	GALLIUM_DRIVERS += lima
  endif

  # Build intel drivers on archs where libdrm-intel is installed
  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32 loong64))
	GALLIUM_DRIVERS += crocus i915 iris svga
	VULKAN_DRIVERS += intel intel_hasvk
	# svga needs xa state tracker
	confflags_GALLIUM += -Dgallium-xa=enabled
  endif

  ifneq (,$(filter $(DEB_HOST_ARCH), amd64))
	confflags_GALLIUM += -Dintel-clc=enabled
  endif

  ifneq (,$(filter $(DEB_HOST_ARCH), $(VALGRIND_ARCHS)))
	confflags_VALGRIND += -Dvalgrind=enabled
  endif

  # WSL supports only amd64 and arm64
  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64))
	GALLIUM_DRIVERS += d3d12
  endif

  # asahi supports only arm64, amd64 and i386
  ifneq (,$(filter $(DEB_HOST_ARCH), arm64 amd64 i386))
	GALLIUM_DRIVERS += asahi
	VULKAN_DRIVERS += asahi
  endif

  # LLVM is required for building r300g, radeonsi and llvmpipe drivers.
  # It's also required for building OpenCL support.
  ifneq (,$(filter $(DEB_HOST_ARCH), $(LLVM_ARCHS)))
	GALLIUM_DRIVERS += radeonsi zink llvmpipe

	# drop virtio from armel, it doesn't build
	ifneq (,$(filter $(DEB_HOST_ARCH), armel))
		VULKAN_DRIVERS += amd swrast
	else
		VULKAN_DRIVERS += amd swrast virtio
	endif

	VULKAN_LAYERS += device-select intel-nullhw overlay
	confflags_GALLIUM += -Dllvm=enabled
	confflags_GALLIUM += -Dgallium-opencl=icd

	# Build rusticl for archs where rustc is available
	ifneq (,$(filter $(DEB_HOST_ARCH), $(RUSTICL_ARCHS)))
		confflags_GALLIUM += -Dgallium-rusticl=true
	endif

	ifneq (,$(filter $(DEB_HOST_ARCH), $(NVK_ARCHS)))
		export MESON_PACKAGE_CACHE_DIR=/usr/share/cargo/registry/
		VULKAN_DRIVERS += nouveau
	endif

	# nine makes sense only on archs that build wine
	ifneq (,$(filter $(DEB_HOST_ARCH), $(WINE_ARCHS)))
		confflags_GALLIUM += -Dgallium-nine=true
	endif

	# gfxstream only builds on 64bit
	ifeq ($(DEB_HOST_ARCH_BITS),64)
		VULKAN_DRIVERS += gfxstream
	endif
  else
	confflags_GALLIUM += -Dllvm=disabled
  endif

  ifeq (,$(filter pkg.mesa.nolibva,$(DEB_BUILD_PROFILES)))
	confflags_GALLIUM += -Dgallium-va=enabled
	confflags_GALLIUM += -Dvideo-codecs="all"
  endif

  # Teflon only supports arm64
  ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
	confflags_TEFLON = -Dteflon=true
  endif
endif

ifeq ($(DEB_HOST_ARCH), i386)
	confflags_SSE2 = -Dsse2=false
endif

empty:=
space := $(empty) $(empty)
comma := ,
EGL_PLATFORMS := $(patsubst %,'%',$(EGL_PLATFORMS))
EGL_PLATFORMS_LIST := $(subst $(space),$(comma),$(EGL_PLATFORMS))
GALLIUM_DRIVERS := $(patsubst %,'%',$(GALLIUM_DRIVERS))
GALLIUM_DRIVERS_LIST := $(subst $(space),$(comma),$(GALLIUM_DRIVERS))
VULKAN_DRIVERS := $(patsubst %,'%',$(VULKAN_DRIVERS))
VULKAN_DRIVERS_LIST := $(subst $(space),$(comma),$(VULKAN_DRIVERS))
VULKAN_LAYERS := $(patsubst %,'%',$(VULKAN_LAYERS))
VULKAN_LAYERS_LIST := $(subst $(space),$(comma),$(VULKAN_LAYERS))

confflags_GLES = -Dgles1=disabled -Dgles2=enabled
confflags_GALLIUM += -Dgallium-drivers="[$(GALLIUM_DRIVERS_LIST)]"

confflags += \
	-Ddri-drivers-path=/usr/lib/$(DEB_HOST_MULTIARCH)/dri \
	-Dplatforms="[$(EGL_PLATFORMS_LIST)]" \
	-Dvulkan-drivers="[$(VULKAN_DRIVERS_LIST)]" \
	-Dvulkan-layers="[$(VULKAN_LAYERS_LIST)]" \
	-Dglvnd=enabled \
	-Dshared-glapi=enabled \
	-Db_ndebug=true \
	-Dbuild-tests=true \
	-Dtools=drm-shim \
	$(confflags_DIRECT_RENDERING) \
	$(confflags_GBM) \
	$(confflags_GALLIUM) \
	$(confflags_GLES) \
	$(confflags_SSE2) \
	$(confflags_VALGRIND) \
	$(confflags_TEFLON)


rewrite_wrap_files:
	cp -r subprojects subprojects-save
	for crate in paste proc-macro2 quote syn unicode-ident; \
	do \
		export crate_namever=`basename $$MESON_PACKAGE_CACHE_DIR/$$crate-*`; \
		sed -e"/source.*/d" -e"s,$${crate}-.*,$${crate_namever}," -i subprojects/$${crate}.wrap; \
	done
	touch subprojects/rewrite

override_dh_clean: regen_control
	dpkg-parsechangelog | awk '/^Version:/ {print $$2}' | sed 's/-.*//;s/~/-/' > VERSION
	rm -rf .pc
	rm -rf build
	rm -rf configure bin/config.guess bin/config.sub config.h.in
	rm -rf $$(find -name Makefile.in)
	rm -rf bin/install-sh bin/ltmain.sh
	rm -rf src/intel/vulkan/grl/parser.out
	rm -rf src/intel/vulkan/grl/parsetab.py
	for file in debian/*.links.in; do rm -f $${file%%.in}; done
	find -name '*.pyc' -delete
	find -name '__pycache__' -delete
	if [ -f subprojects/rewrite ]; then \
		rm -rf subprojects; \
		mv subprojects-save subprojects; \
	fi
	dh_clean

override_dh_auto_configure: rewrite_wrap_files
	dpkg-parsechangelog | awk '/^Version:/ {print $$2}' > VERSION
	$(buildflags) dh_auto_configure -- \
		$(confflags)

override_dh_auto_install:
	dh_auto_install

## mesa 25.1.7

=== debian/changelog ===
mesa (25.1.7-1ubuntu1) questing; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 04 Aug 2025 09:53:01 +0300

mesa (25.1.7-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 04 Aug 2025 08:56:31 +0300

mesa (25.1.5-1ubuntu1) questing; urgency=medium

  * Merge from Debian.
  * patches: Drop upstreamed revert.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 04 Jul 2025 13:10:08 +0300

mesa (25.0.7-0ubuntu4) UNRELEASED; urgency=medium

  * patches: Drop a fix for lp2101817, since 25.0.6 carries a separate
    fix for that.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Jun 2025 21:00:56 +0300

mesa (25.0.7-0ubuntu3) questing; urgency=medium

  * Revert a bad commit which broke Intel Haswell. (LP: #2113508)

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 10 Jun 2025 13:01:12 +0300

mesa (25.0.7-0ubuntu2) questing; urgency=medium

  * Migrate to llvm-20. (LP: #2111265)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 04 Jun 2025 15:04:20 +0300

mesa (25.0.7-0ubuntu1) questing; urgency=medium

  * Merge from Debian git.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 02 Jun 2025 11:05:19 +0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: mesa
 Section: graphics
 Priority: optional
-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Andreas Boll <aboll@debian.org>
 Standards-Version: 4.1.4
 Build-Depends:
@@ -58,14 +59,14 @@
  zlib1g-dev,
  libglvnd-core-dev (>= 1.3.2),
  valgrind [amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x],
- rustc (>= 1.78) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- rustfmt [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- bindgen (>= 0.66.1~) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- cbindgen [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- llvm-spirv-20 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ rustc (>= 1.78) [amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ rustfmt [amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ bindgen (>= 0.66.1~) [amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ cbindgen [amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ llvm-spirv-20 [amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
  libllvmspirvlib-20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- librust-paste-dev [amd64 arm64 armhf i386 ppc64 riscv64 x32],
- librust-syn-dev (>= 2.0.48) [amd64 arm64 armhf i386 ppc64 riscv64 x32],
+ librust-paste-dev [amd64 arm64 armhf ppc64 riscv64 x32],
+ librust-syn-dev (>= 2.0.48) [amd64 arm64 armhf ppc64 riscv64 x32],
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
@@ -293,7 +294,6 @@
  ${shlibs:Depends},
  ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
-Provides: libglapi-mesa
 Multi-Arch: same
 Description: shared infrastructure for Mesa drivers
  This package contains libgallium, a private library shared between
@@ -348,4 +348,3 @@
 Provides:
  vdpau-driver,
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
--- 
+++ 
@@ -51,8 +51,8 @@
 confflags_TEFLON = -Dteflon=false
 
 LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
-RUSTICL_ARCHS  = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
-NVK_ARCHS      = amd64 arm64 armhf i386 ppc64 riscv64 x32
+RUSTICL_ARCHS  = amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
+NVK_ARCHS      = amd64 arm64 armhf ppc64 riscv64 x32
 VALGRIND_ARCHS = amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x
 WINE_ARCHS     = amd64 arm64 armel armhf i386
 
@@ -237,3 +237,4 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	debian/merge-vulkan-driver-manifests.sh debian/tmp

## mesa 25.2.0

=== debian/changelog ===
mesa (25.2.0-1) experimental; urgency=medium

  * New upstream release.
  * patches: Drop upstreamed and obsolete bits.
  * Drop libd3dadapter9*, gallium-nine is no more.
  * Drop libxatracker*, gallium-xa is gone.
  * Drop libMesaOpenCL from mesa-opencl-icd, clover is gone.
  * control: Bump meson and bindgen build-deps, add librust-rustc-2-hash-dev
    for nvk.
  * libegl-mesa0.symbols: Updated.
  * rules: Drop shared-glapi build option, it's deprecated and doesn't
    do anything.
  * rules: Restore quilt, as source3.0 applies patches when building the
    source.
  * rules: Enable iris/anv on arm64 & ppc64el. (Closes: #1100537)
  * rules: intel-clc is gone.
  * rules: Enable iris/anv on riscv64. (Closes: #1108849)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Aug 2025 14:08:04 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mesa
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Andreas Boll <aboll@debian.org>
 Standards-Version: 4.1.4
 Build-Depends:
@@ -11,7 +10,8 @@
  flatbuffers-compiler [linux-arm64],
  glslang-tools [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  spirv-tools (>= 2024.4~rc1) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- meson (>= 1.4.0),
+ meson (>= 1.7.0),
+ quilt,
  pkgconf,
  libdrm-dev (>= 2.4.125-1),
  libx11-dev,
@@ -19,7 +19,6 @@
  libexpat1-dev,
  libflatbuffers-dev [linux-arm64],
  libsensors-dev [!hurd-any],
- libxfixes-dev,
  libxext-dev,
  libva-dev (>= 1.6.0) [linux-any] <!pkg.mesa.nolibva>,
  libvdpau-dev (>= 1.5) [linux-any],
@@ -29,7 +28,6 @@
  libx11-xcb-dev,
  libxcb-dri2-0-dev (>= 1.8),
  libxcb-glx0-dev (>= 1.8.1),
- libxcb-xfixes0-dev,
  libxcb-dri3-dev,
  libxcb-present-dev,
  libxcb-randr0-dev,
@@ -41,7 +39,6 @@
  libzstd-dev,
  python3,
  python3-mako,
- python3-ply,
  python3-yaml,
  python3-pycparser [arm64 armhf],
  python3-setuptools,
@@ -59,78 +56,19 @@
  zlib1g-dev,
  libglvnd-core-dev (>= 1.3.2),
  valgrind [amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x],
- rustc (>= 1.78) [amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- rustfmt [amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- bindgen (>= 0.66.1~) [amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- cbindgen [amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- llvm-spirv-20 [amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ rustc (>= 1.78) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ rustfmt [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ bindgen (>= 0.71~) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ cbindgen [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ llvm-spirv-20 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
  libllvmspirvlib-20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- librust-paste-dev [amd64 arm64 armhf ppc64 riscv64 x32],
- librust-syn-dev (>= 2.0.48) [amd64 arm64 armhf ppc64 riscv64 x32],
+ librust-rustc-hash-2-dev [amd64 arm64 armhf i386 ppc64 riscv64 x32],
+ librust-paste-dev [amd64 arm64 armhf i386 ppc64 riscv64 x32],
+ librust-syn-dev (>= 2.0.48) [amd64 arm64 armhf i386 ppc64 riscv64 x32],
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/mesa.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/mesa
 Homepage: https://mesa3d.org/
-
-Package: libxatracker2
-Section: libs
-Architecture: amd64 i386 x32
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: X acceleration library -- runtime
- This package contains the XA (X acceleration) library.  It is used exclusively
- by the X server to do render, copy and video acceleration.
- .
- XA is intended to be used by the vmware driver for virtualized X acceleration.
-
-Package: libxatracker-dev
-Section: libdevel
-Architecture: amd64 i386 x32
-Depends:
- libxatracker2 (= ${binary:Version}),
- ${misc:Depends},
-Multi-Arch: same
-Description: X acceleration library -- development files
- This package contains the XA (X acceleration) library.  It is used exclusively
- by the X server to do render, copy and video acceleration.
- .
- XA is intended to be used by the vmware driver for virtualized X acceleration.
- .
- This package provides the development environment for compiling programs
- against the xatracker library.
-
-Package: libd3dadapter9-mesa
-Section: libs
-Architecture: amd64 arm64 armel armhf i386
-Depends:
- ${shlibs:Depends},
- ${misc:Depends},
- libudev1 [linux-any],
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: state-tracker for Direct3D9
- This package contains a Gallium3D state tracker that implements the Direct3D9
- API.  Combined with the gallium-nine branch of Wine, programs using D3D9 can
- achieve native (or better) graphics performance.
-
-Package: libd3dadapter9-mesa-dev
-Section: libdevel
-Architecture: amd64 arm64 armel armhf i386
-Depends:
- libd3dadapter9-mesa (= ${binary:Version}),
- libudev1 [linux-any],
- ${misc:Depends},
-Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
-Description: state-tracker for Direct3D9 -- development files
- This package contains a Gallium3D state tracker that implements the Direct3D9
- API.  Combined with the gallium-nine branch of Wine, programs using D3D9 can
- achieve native (or better) graphics performance.
- .
- Development files
 
 Package: libgbm1
 Section: libs
@@ -294,6 +232,7 @@
  ${shlibs:Depends},
  ${misc:Depends},
 Pre-Depends: ${misc:Pre-Depends}
+Provides: libglapi-mesa
 Multi-Arch: same
 Description: shared infrastructure for Mesa drivers
  This package contains libgallium, a private library shared between
@@ -348,3 +287,55 @@
 Provides:
  vdpau-driver,
 Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Description: Mesa VDPAU video acceleration drivers
+ These libraries provide the Video Decode and Presentation API for Unix.
+ They provide accelerated video playback (incl. H.264) and video
+ post-processing for the supported graphics cards.
+ .
+ This package enables support for VDPAU for some gallium drivers.
+
+Package: mesa-vulkan-drivers
+Section: libs
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ libvulkan1,
+ ${shlibs:Depends},
+ ${misc:Depends}
+Provides: vulkan-icd
+Multi-Arch: same
+Description: Mesa Vulkan graphics drivers
+ Vulkan is a low-overhead 3D graphics and compute API. This package
+ includes Vulkan drivers provided by the Mesa project.
+
+Package: mesa-opencl-icd
+Section: libs
+Architecture: amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ libclc-20,
+ ocl-icd-libopencl1 | libopencl1,
+ ${shlibs:Depends},
+ ${misc:Depends},
+Provides: opencl-icd
+Multi-Arch: same
+Description: free implementation of the OpenCL API -- ICD runtime
+ This package contains the mesa implementation of the OpenCL (Open Compute
+ Language) library, which is intended for use with an ICD loader. OpenCL
+ provides a standardized interface for computational analysis on graphical
+ processing units.
+
+Package: mesa-drm-shim
+Section: libs
+Architecture: amd64 arm64 armel armhf i386 mips64el powerpc ppc64 ppc64el s390x sparc64
+Pre-Depends: ${misc:Pre-Depends}
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends},
+Multi-Arch: same
+Description: DRM shim libraries
+ This package provides drm-shim libraries which can be used for testing DRM
+ drivers when none exists on the host.
+
+# vim: tw=0

=== debian/rules ===
--- 
+++ 
@@ -51,10 +51,9 @@
 confflags_TEFLON = -Dteflon=false
 
 LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
-RUSTICL_ARCHS  = amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
-NVK_ARCHS      = amd64 arm64 armhf ppc64 riscv64 x32
+RUSTICL_ARCHS  = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
+NVK_ARCHS      = amd64 arm64 armhf i386 ppc64 riscv64 x32
 VALGRIND_ARCHS = amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x
-WINE_ARCHS     = amd64 arm64 armel armhf i386
 
 # hurd doesn't do direct rendering
 ifeq ($(DEB_HOST_ARCH_OS), hurd)
@@ -89,15 +88,14 @@
   endif
 
   # Build intel drivers on archs where libdrm-intel is installed
-  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32 loong64))
-	GALLIUM_DRIVERS += crocus i915 iris svga
-	VULKAN_DRIVERS += intel intel_hasvk
-	# svga needs xa state tracker
-	confflags_GALLIUM += -Dgallium-xa=enabled
-  endif
-
-  ifneq (,$(filter $(DEB_HOST_ARCH), amd64))
-	confflags_GALLIUM += -Dintel-clc=enabled
+  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 i386 x32))
+	GALLIUM_DRIVERS += crocus i915 svga
+	VULKAN_DRIVERS += intel_hasvk
+  endif
+
+  ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 i386 loong64 x32 ppc64el riscv64))
+	GALLIUM_DRIVERS += iris
+	VULKAN_DRIVERS += intel
   endif
 
   ifneq (,$(filter $(DEB_HOST_ARCH), $(VALGRIND_ARCHS)))
@@ -129,7 +127,6 @@
 
 	VULKAN_LAYERS += device-select intel-nullhw overlay
 	confflags_GALLIUM += -Dllvm=enabled
-	confflags_GALLIUM += -Dgallium-opencl=icd
 
 	# Build rusticl for archs where rustc is available
 	ifneq (,$(filter $(DEB_HOST_ARCH), $(RUSTICL_ARCHS)))
@@ -139,11 +136,6 @@
 	ifneq (,$(filter $(DEB_HOST_ARCH), $(NVK_ARCHS)))
 		export MESON_PACKAGE_CACHE_DIR=/usr/share/cargo/registry/
 		VULKAN_DRIVERS += nouveau
-	endif
-
-	# nine makes sense only on archs that build wine
-	ifneq (,$(filter $(DEB_HOST_ARCH), $(WINE_ARCHS)))
-		confflags_GALLIUM += -Dgallium-nine=true
 	endif
 
 	# gfxstream only builds on 64bit
@@ -190,7 +182,6 @@
 	-Dvulkan-drivers="[$(VULKAN_DRIVERS_LIST)]" \
 	-Dvulkan-layers="[$(VULKAN_LAYERS_LIST)]" \
 	-Dglvnd=enabled \
-	-Dshared-glapi=enabled \
 	-Db_ndebug=true \
 	-Dbuild-tests=true \
 	-Dtools=drm-shim \
@@ -205,7 +196,7 @@
 
 rewrite_wrap_files:
 	cp -r subprojects subprojects-save
-	for crate in paste proc-macro2 quote syn unicode-ident; \
+	for crate in paste proc-macro2 quote rustc-hash syn unicode-ident; \
 	do \
 		export crate_namever=`basename $$MESON_PACKAGE_CACHE_DIR/$$crate-*`; \
 		sed -e"/source.*/d" -e"s,$${crate}-.*,$${crate_namever}," -i subprojects/$${crate}.wrap; \
@@ -238,3 +229,12 @@
 override_dh_auto_install:
 	dh_auto_install
 	debian/merge-vulkan-driver-manifests.sh debian/tmp
+	for file in debian/*.links.in; \
+	do \
+		sed -e"s,\$${DEB_HOST_MULTIARCH},$(DEB_HOST_MULTIARCH),g" \
+			$${file} > $${file%%.in}; \
+	done
+
+# some tests are expected to fail for now, drop this when upstream has
+# better cross-build testing in place and expected failures fixed
+override_dh_auto_test:

## mesa 25.2.1

=== debian/changelog ===
mesa (25.2.1-1) unstable; urgency=medium

  [ Timo Aaltonen ]
  * New upstream release.
  * rules: Don't clean up .pc dir. (Closes: #1111295)
  * control, rules: Drop quilt again, unnecessary now.

  [ Fabio Pedretti ]
  * rules: Disable sse2 disabling on i386.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 22 Aug 2025 14:01:57 +0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  glslang-tools [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  spirv-tools (>= 2024.4~rc1) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  meson (>= 1.7.0),
- quilt,
  pkgconf,
  libdrm-dev (>= 2.4.125-1),
  libx11-dev,

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,6 @@
 VULKAN_DRIVERS =
 VULKAN_LAYERS =
 
-confflags_SSE2 = -Dsse2=true
 confflags_TEFLON = -Dteflon=false
 
 LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
@@ -155,10 +154,6 @@
   ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
 	confflags_TEFLON = -Dteflon=true
   endif
-endif
-
-ifeq ($(DEB_HOST_ARCH), i386)
-	confflags_SSE2 = -Dsse2=false
 endif
 
 empty:=
@@ -189,7 +184,6 @@
 	$(confflags_GBM) \
 	$(confflags_GALLIUM) \
 	$(confflags_GLES) \
-	$(confflags_SSE2) \
 	$(confflags_VALGRIND) \
 	$(confflags_TEFLON)
 
@@ -205,7 +199,6 @@
 
 override_dh_clean: regen_control
 	dpkg-parsechangelog | awk '/^Version:/ {print $$2}' | sed 's/-.*//;s/~/-/' > VERSION
-	rm -rf .pc
 	rm -rf build
 	rm -rf configure bin/config.guess bin/config.sub config.h.in
 	rm -rf $$(find -name Makefile.in)
@@ -238,3 +231,9 @@
 # some tests are expected to fail for now, drop this when upstream has
 # better cross-build testing in place and expected failures fixed
 override_dh_auto_test:
+	-dh_auto_test
+
+allpkg = $(shell dh_listpackages -a)
+
+override_dh_installchangelogs:
+	dh_installchangelogs -a

## mesa 25.2.2

=== debian/changelog ===
mesa (25.2.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian.
  * patches: ANGLE fix dropped, upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Sep 2025 08:58:10 +0300

mesa (25.2.2-1) unstable; urgency=medium

  [ Simon McVittie ]
  * d/merge-vulkan-driver-manifests.sh: Remove library_arch from JSON manifests
    (Closes: #1110523) (LP: #2121980)

  [ Timo Aaltonen ]
  * New upstream release.
  * patches: Fix FTBFS with glibc 2.42.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 04 Sep 2025 08:44:46 +0300

mesa (25.2.1-2ubuntu1) questing; urgency=medium

  * Merge from Debian (LP: #2121790), remaining changes:
    - stay on llvm-20
    - drop i386 from rusticl, nvk archs
    - drop libglapi-mesa Provides, handled by mesa-amber
  * patches: Fix FTBFS with glibc 2.42.
  * patches: Work around ANGLE brokenness. (LP: #2121774)

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 01 Sep 2025 12:07:50 +0300

mesa (25.2.1-2) unstable; urgency=medium

  * control, rules: Revert back to llvm-19 as -20 is not in unstable
    yet.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 28 Aug 2025 17:34:14 +0300

## mesa 25.2.3

=== bin/pick/requirements.txt ===
attrs==23.1.0
packaging==25.0
urwid==2.1.2

=== debian/changelog ===
mesa (25.2.3-1ubuntu1) questing; urgency=medium

  * Merge from Debian.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Sep 2025 11:14:43 +0300

mesa (25.2.3-1) unstable; urgency=medium

  * New upstream release. (LP: #2122654)
  * patches: Fix crash on intel xe with 16kB page size. (Closes: #1115467)

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 18 Sep 2025 11:08:11 +0300

=== debian/rules ===
--- 
+++ 
@@ -50,8 +50,8 @@
 confflags_TEFLON = -Dteflon=false
 
 LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
-RUSTICL_ARCHS  = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
-NVK_ARCHS      = amd64 arm64 armhf i386 ppc64 riscv64 x32
+RUSTICL_ARCHS  = amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
+NVK_ARCHS      = amd64 arm64 armhf ppc64 riscv64 x32
 VALGRIND_ARCHS = amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x
 
 # hurd doesn't do direct rendering

## mesa 25.2.4

=== debian/changelog ===
mesa (25.2.4-1~bpo13+2) trixie-backports; urgency=medium

  * Source only upload.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 10 Oct 2025 15:04:41 +0200

mesa (25.2.4-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * Lower libdrm-dev to 2.4.124-1 to match the version in Trixie.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 09 Oct 2025 17:55:31 +0200

mesa (25.2.4-1) unstable; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 03 Oct 2025 18:09:21 +0300

mesa (25.2.3-1~bpo13+1) trixie-backports; urgency=medium

  * Rebuild for trixie-backports.
  * Lower libdrm-dev to 2.4.124-1 to match the version in Trixie.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 06 Oct 2025 17:01:55 +0200

## mesa 25.2.5

=== debian/changelog ===
mesa (25.2.5-1~jotti13+1) trixie-jotti; urgency=medium

  * New upstream release.
  * Build for trixie-jotti.

 -- Jordi Bosveld <jordi@jotti.nl>  Thu, 16 Oct 2025 08:50:25 +0200

mesa (25.2.4-1~jotti13+1) trixie-jotti; urgency=medium

  * New upstream release.
  * Build for trixie-jotti.

 -- Jordi Bosveld <jordi@jotti.nl>  Fri, 10 Oct 2025 09:46:45 +0200

mesa (25.2.2-1~jotti13+1) trixie-jotti; urgency=medium

  * New upstream release.
  * Build for trixie-jotti.

 -- Jordi Bosveld <jordi@jotti.nl>  Wed, 03 Sep 2025 20:58:00 +0200

mesa (25.2.1-1~jotti13+1) trixie-jotti; urgency=medium

  * New upstream release.
  * patches: Remove library_arch entry from vulkan ICD files to
    prevent conflicts on multi-arch systems.
  * control: Relax build dependency version of libdrm-dev.
  * rules: Build using llvm-19.
  * Build for trixie-jotti.

 -- Jordi Bosveld <jordi@jotti.nl>  Thu, 21 Aug 2025 21:43:16 +0200

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
  glslang-tools [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  spirv-tools (>= 2024.4~rc1) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  meson (>= 1.7.0),
+ quilt,
  pkgconf,
- libdrm-dev (>= 2.4.125-1),
+ libdrm-dev (>= 2.4.125),
  libx11-dev,
  libxxf86vm-dev,
  libexpat1-dev,
@@ -46,11 +47,11 @@
  libelf-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  libwayland-dev (>= 1.15.0) [linux-any],
  libwayland-egl-backend-dev (>= 1.15.0) [linux-any],
- llvm-20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- libclang-20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- libclang-cpp20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- libclc-20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
- libclc-20 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ llvm-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libclang-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libclang-cpp19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libclc-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ libclc-19 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  wayland-protocols (>= 1.38),
  zlib1g-dev,
  libglvnd-core-dev (>= 1.3.2),
@@ -59,8 +60,8 @@
  rustfmt [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
  bindgen (>= 0.71~) [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
  cbindgen [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- llvm-spirv-20 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
- libllvmspirvlib-20-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
+ llvm-spirv-19 [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32],
+ libllvmspirvlib-19-dev [amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32],
  librust-rustc-hash-2-dev [amd64 arm64 armhf i386 ppc64 riscv64 x32],
  librust-paste-dev [amd64 arm64 armhf i386 ppc64 riscv64 x32],
  librust-syn-dev (>= 2.0.48) [amd64 arm64 armhf i386 ppc64 riscv64 x32],
@@ -313,7 +314,7 @@
 Architecture: amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- libclc-20,
+ libclc-19,
  ocl-icd-libopencl1 | libopencl1,
  ${shlibs:Depends},
  ${misc:Depends},

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 
 # for finding the correct llvm-config when meson doesn't know about it yet
-LLVM_VERSION = 20
+LLVM_VERSION = 19
 export PATH:=/usr/lib/llvm-$(LLVM_VERSION)/bin/:$(PATH)
 
 export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
@@ -47,11 +47,12 @@
 VULKAN_DRIVERS =
 VULKAN_LAYERS =
 
+confflags_SSE2 = -Dsse2=true
 confflags_TEFLON = -Dteflon=false
 
 LLVM_ARCHS     = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x sparc64 x32
-RUSTICL_ARCHS  = amd64 arm64 armel armhf loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
-NVK_ARCHS      = amd64 arm64 armhf ppc64 riscv64 x32
+RUSTICL_ARCHS  = amd64 arm64 armel armhf i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 s390x x32
+NVK_ARCHS      = amd64 arm64 armhf i386 ppc64 riscv64 x32
 VALGRIND_ARCHS = amd64 arm64 armhf i386 mips64el powerpc ppc64 ppc64el s390x
 
 # hurd doesn't do direct rendering
@@ -154,6 +155,10 @@
   ifneq (,$(filter $(DEB_HOST_ARCH), arm64))
 	confflags_TEFLON = -Dteflon=true
   endif
+endif
+
+ifeq ($(DEB_HOST_ARCH), i386)
+	confflags_SSE2 = -Dsse2=false
 endif
 
 empty:=
@@ -184,6 +189,7 @@
 	$(confflags_GBM) \
 	$(confflags_GALLIUM) \
 	$(confflags_GLES) \
+	$(confflags_SSE2) \
 	$(confflags_VALGRIND) \
 	$(confflags_TEFLON)
 
@@ -199,6 +205,7 @@
 
 override_dh_clean: regen_control
 	dpkg-parsechangelog | awk '/^Version:/ {print $$2}' | sed 's/-.*//;s/~/-/' > VERSION
+	rm -rf .pc
 	rm -rf build
 	rm -rf configure bin/config.guess bin/config.sub config.h.in
 	rm -rf $$(find -name Makefile.in)
@@ -231,9 +238,3 @@
 # some tests are expected to fail for now, drop this when upstream has
 # better cross-build testing in place and expected failures fixed
 override_dh_auto_test:
-	-dh_auto_test
-
-allpkg = $(shell dh_listpackages -a)
-
-override_dh_installchangelogs:
-	dh_installchangelogs -a
